## gnome-shell-extension-autohidetopbar 109

=== debian/changelog ===
gnome-shell-extension-autohidetopbar (1:109-1) unstable; urgency=medium

  * New upstream release.
  * Drop Gnome 43 patch, applied upstream.

 -- Tobias Frost <tobi@debian.org>  Mon, 26 Sep 2022 14:50:30 +0200

gnome-shell-extension-autohidetopbar (1:108-1) unstable; urgency=medium

  * New upstream release.
  * Upstream repository has been moved to the maintainers namespace,
    adopting all references to the new place.
  * Janitor: Set upstream metadata fields: Repository, Repository-Browse.
  * Bump S-V to 4.6.1 -- no changes required.
  * Speculaltively allow GNOME 43.

 -- Tobias Frost <tobi@debian.org>  Wed, 17 Aug 2022 14:33:49 +0200

gnome-shell-extension-autohidetopbar (1:107-1) unstable; urgency=medium

  * New upstream release. (Closes: #1008537)
  * d/control: Update Depends: on gnome-shell to include version 42.
  * Package version is now matching the version on extensions.gnome.org,
    therefore an epoch has been introduced.
  * Updating d/watch to follow upstream tags (matching the version on
    extension.gnome.org as well)
  * Update d/copyright.

 -- Tobias Frost <tobi@debian.org>  Tue, 29 Mar 2022 19:01:31 +0200

gnome-shell-extension-autohidetopbar (20211109-1) unstable; urgency=medium

  * New upstream git snapshot.
  * Update d/copyright.
  * Tighten depndency on gnome-shell. Thanks to smvc for the suggestion.

 -- Tobias Frost <tobi@debian.org>  Wed, 10 Nov 2021 16:58:14 +0100

gnome-shell-extension-autohidetopbar (20211001-1) unstable; urgency=medium

  * New upstream git snapshot.
    - This version declares compatibility with GNOME 41. (Closes: #996046)
  * Install the file Settings-40.ui for GNOME 40 compatibility. Thanks to Tomas
    for the triaging and bug report (Closes: #995756).

 -- Tobias Frost <tobi@debian.org>  Fri, 15 Oct 2021 17:57:27 +0200

gnome-shell-extension-autohidetopbar (20210525-2) unstable; urgency=medium

  * Recommend gnome-extensions-app instead of gnome-tweaks,
    as the former app replaces the later in recent Gnome.
    Thanks to Simon McVittie for providing the patch (Closes: #994122)
  * Bump SV to 4.6.0 -- no changes required.

 -- Tobias Frost <tobi@debian.org>  Tue, 14 Sep 2021 10:12:32 +0200

gnome-shell-extension-autohidetopbar (20210525-1) unstable; urgency=medium

  * New upstream git snapshot.
    - Declares compatibility with GNOME 40 (Closes: #993183)
    - Requires new B-D on intltool
    - Override for dh_auto_build is no longer needed.

 -- Tobias Frost <tobi@debian.org>  Sat, 04 Sep 2021 11:54:14 +0200

gnome-shell-extension-autohidetopbar (20210104-1) unstable; urgency=medium

  * New upstream git snapshot.
  * Bump S-V to 4.5.1 -- no changes required.
  * Bump year in d/copyright.

 -- Tobias Frost <tobi@debian.org>  Tue, 02 Feb 2021 16:55:47 +0100

gnome-shell-extension-autohidetopbar (20201011-1) unstable; urgency=medium

  * New upstream git snapshot.

 -- Tobias Frost <tobi@debian.org>  Fri, 23 Oct 2020 21:33:22 +0200

gnome-shell-extension-autohidetopbar (20201005-1) unstable; urgency=medium

  * New upstream git snapshot that should work with Gnome 3.38.
    (Closes: #971671, #971635)

 -- Tobias Frost <tobi@debian.org>  Mon, 05 Oct 2020 16:22:00 +0200

gnome-shell-extension-autohidetopbar (20200921-1) unstable; urgency=medium

  * New upstream git snapshot.
  * Drop fix_pt_BR_translation.patch, applied upstream.
  * Drop d/clean, upstream Makefile now cleans up properly.
  * Cleanup d/rules, upstream Makefile does now compile the locales by itself.

 -- Tobias Frost <tobi@debian.org>  Tue, 22 Sep 2020 12:31:57 +0200

gnome-shell-extension-autohidetopbar (20200628-2) unstable; urgency=medium

  * Rebuild pot file during build to fix several translations.
  * d/rules: Fix some inconsitent space/tab usage.
  * Add patch to fix filename of the pt_BR translation.

 -- Tobias Frost <tobi@debian.org>  Mon, 21 Sep 2020 09:35:57 +0200

gnome-shell-extension-autohidetopbar (20200628-1) unstable; urgency=medium

  * New upstream git snapshot.

 -- Tobias Frost <tobi@debian.org>  Tue, 25 Aug 2020 12:13:57 +0200

gnome-shell-extension-autohidetopbar (20200627-1) unstable; urgency=medium

  * New upstream git snapshot.
  * Try to mark this Ubuntu Bug as closed. (LP: #1764111). (No idea if that
    works, but SSO on launchpad.net is broken for me). The actual fix for this
    issue was part of 20180908-2.
  * Bump dependency version on gnome-shell, upstream says it requires
    3.32 or newer.
  * Add upstream repo to metadata.

 -- Tobias Frost <tobi@debian.org>  Sat, 27 Jun 2020 14:19:33 +0200

gnome-shell-extension-autohidetopbar (20200518-1) unstable; urgency=medium

  * New upstream git snapshot.
  * Set upstream metadata fields: Bug-Database, Bug-Submit. (via Janitor)
  * Bump compat level to 13.

 -- Tobias Frost <tobi@debian.org>  Wed, 20 May 2020 12:53:02 +0200

gnome-shell-extension-autohidetopbar (20200322-1) unstable; urgency=medium

  * New upstream git snapshot.
  * Bump S-V to 4.5.0, no changes.
  * Enable Salsa-CI.

 -- Tobias Frost <tobi@debian.org>  Wed, 08 Apr 2020 17:50:47 +0200

gnome-shell-extension-autohidetopbar (20190913-1) unstable; urgency=medium

  * New upstream git snapshot.
  * Drop d/compat in favour of BD'ing on debhelper-compat.
  * Bump S-V, no changes required.

 -- Tobias Frost <tobi@debian.org>  Sun, 27 Oct 2019 18:05:57 +0100

gnome-shell-extension-autohidetopbar (20180908-2) unstable; urgency=medium

  * Recommend gnome-tweaks instead of gnome-tweak-tool. (Closes:
    #917783) (LP: #1764111).

 -- Tobias Frost <tobi@debian.org>  Sun, 30 Dec 2018 12:14:50 +0100

gnome-shell-extension-autohidetopbar (20180908-1) unstable; urgency=medium

  * New upstream git snapshot.
  * Remove patch Adapt-to-removal-of-MetaScreen-in-mutter-3.29.x,
    applied upstream
  * Bump SV to 4.3.0 -- no changes required

 -- Tobias Frost <tobi@debian.org>  Sat, 29 Dec 2018 23:40:17 +0100

gnome-shell-extension-autohidetopbar (20180511-2) unstable; urgency=medium



## gnome-shell-extension-autohidetopbar 111

=== Makefile ===
SHELL := /bin/bash

JS_FILES = $(shell echo {extension,convenience,intellihide,panelVisibilityManager,prefs,desktopIconsIntegration}.js)
UI_FILES = $(shell echo {Settings-40,Settings}.ui)

LOCALES_PO = $(wildcard locale/*/*/*.po)
LOCALES_MO = $(patsubst %.po,%.mo,$(LOCALES_PO))

.PHONY: distclean clean all all-po

all: hidetopbar.zip

schemas/gschemas.compiled:
	glib-compile-schemas --strict ./schemas/

hidetopbar.zip: schemas/gschemas.compiled $(LOCALES_MO)
	zip hidetopbar.zip -r COPYING.txt $(JS_FILES) metadata.json $(LOCALES_MO) schemas Settings.ui Settings-40.ui

clean:
	rm -rf hidetopbar.zip schemas/gschemas.compiled ${LOCALES_MO}

distclean: clean
	rm -rf locale/hidetopbar.pot-stamp

%.mo: %.po locale/hidetopbar.pot locale/hidetopbar.pot-stamp
	msgfmt -c -o $@ $<

%.po: locale/hidetopbar.pot locale/hidetopbar.pot-stamp
	@echo "Updating $@"
	@msgmerge --previous --update $@ $<

all-po: $(LOCALES_PO)

locale/hidetopbar.pot locale/hidetopbar.pot-stamp : $(UI_FILES)
	xgettext --copyright-holder="Thomas Vogt" \
			 --package-name="Hide Top Bar" \
			 --output=locale/hidetopbar.pot \
			 $(JS_FILES) $(UI_FILES)
	sed -i '1s/.*/# <LANGUAGE> translation for the Hide Top Bar extension./' locale/hidetopbar.pot
	sed -i "2s/.*/# Copyright (C) $$(date +%Y) Thomas Vogt/" locale/hidetopbar.pot
	sed -i '17s/CHARSET/UTF-8/' locale/hidetopbar.pot
	touch locale/hidetopbar.pot-stamp

=== debian/changelog ===
gnome-shell-extension-autohidetopbar (1:111-1) unstable; urgency=medium

  * New upstream version.

 -- Tobias Frost <tobi@debian.org>  Mon, 26 Dec 2022 17:24:08 +0100

=== debian/control ===
Source: gnome-shell-extension-autohidetopbar
Section: gnome
Priority: optional
Maintainer: Tobias Frost <tobi@debian.org>
Build-Depends: debhelper-compat (= 13), gettext, libglib2.0-bin, zip, intltool
Standards-Version: 4.6.1
Homepage: https://github.com/tuxor1337/hidetopbar
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/gnome-shell-extension-autohidetopbar
Vcs-Git: https://salsa.debian.org/debian/gnome-shell-extension-autohidetopbar.git

Package: gnome-shell-extension-autohidetopbar
Architecture: all
Depends: gnome-shell (>= 3.32), gnome-shell (<< 44~), ${misc:Depends}
Recommends: gnome-shell-extension-prefs
Description: GNOME shell automatic topbar hider
 This gnome-shell extension automatically hides the topbar, except in overview.
 There is also an option to show the topbar when the mouse pointer approaches
 the edge of the screen.
 .
 Please note that you have to manually enable the extension, for example using
 gnome-extensions-app, which is part of the gnome-shell-extension-prefs package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh $@

override_dh_install:
	# Installing translations
	for mo in $$(cd locale; ls */*/*.mo); do \
		lang=$$(dirname $$mo); \
		mkdir -p debian/gnome-shell-extension-autohidetopbar/usr/share/locale/$$lang; \
		cp locale/$$mo debian/gnome-shell-extension-autohidetopbar/usr/share/locale/$$lang/; \
	done
	dh_install

override_dh_installdocs:
	dh_installdocs -X README.md

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
 https://github.com/tuxor1337/hidetopbar/tags \
 (?:.*?/)?extensions.gnome.org?@ANY_VERSION@@ARCHIVE_EXT@

## gnome-shell-extension-autohidetopbar 114

=== debian/changelog ===
gnome-shell-extension-autohidetopbar (1:114-1) unstable; urgency=medium

  * New upstream release.

 -- Tobias Frost <tobi@debian.org>  Sat, 24 Jun 2023 08:34:36 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: Tobias Frost <tobi@debian.org>
 Build-Depends: debhelper-compat (= 13), gettext, libglib2.0-bin, zip, intltool
-Standards-Version: 4.6.1
-Homepage: https://github.com/tuxor1337/hidetopbar
+Standards-Version: 4.6.2
+Homepage: https://gitlab.gnome.org/tuxor1337/hidetopbar
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/gnome-shell-extension-autohidetopbar
 Vcs-Git: https://salsa.debian.org/debian/gnome-shell-extension-autohidetopbar.git
 
 Package: gnome-shell-extension-autohidetopbar
 Architecture: all
-Depends: gnome-shell (>= 3.32), gnome-shell (<< 44~), ${misc:Depends}
+Depends: gnome-shell (>= 3.32), gnome-shell (<< 45~), ${misc:Depends}
 Recommends: gnome-shell-extension-prefs
 Description: GNOME shell automatic topbar hider
  This gnome-shell extension automatically hides the topbar, except in overview.

=== debian/watch ===
version=4
https://gitlab.gnome.org/tuxor1337/hidetopbar/tags?sort=updated_desc archive/extensions.gnome.org@ANY_VERSION@/hidetopbar-extensions.gnome.org-\d\S*@ARCHIVE_EXT@

## gnome-shell-extension-autohidetopbar 118

=== debian/changelog ===
gnome-shell-extension-autohidetopbar (1:118-1) unstable; urgency=medium

  * New upstream release.
  * Update d/watch to support API changed in gitlab.
  * Update d/copyright year.
  * Drop patches, applied upstream.

 -- Tobias Frost <tobi@debian.org>  Wed, 01 Jan 2025 15:50:19 +0100

gnome-shell-extension-autohidetopbar (1:117-2) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Add patch to mark compatible with GNOME Shell 47 (Closes: #1079239)
  * Bump maximum GNOME Shell to 47

 -- Tobias Frost <tobi@debian.org>  Sat, 14 Sep 2024 10:45:01 +0200

gnome-shell-extension-autohidetopbar (1:117-1) unstable; urgency=medium

  * New upstream release, ready for GNOME 46 (Closes: #1052089).
    - Update upper version constraint in d/control accordingly.
  * Fix d/watch, needed due to gitlab changes.

 -- Tobias Frost <tobi@debian.org>  Sat, 13 Jul 2024 14:30:40 +0200

gnome-shell-extension-autohidetopbar (1:116-1) experimental; urgency=medium

  * New upstream release. (Closes: #1052089).
    - This release only supports GNOME Shell 45, so tighten Depends
      accordingly.
  * Target experimental until GNOME-Shell 45 is ready.
  * Update S-V to 4.7.0 - no changes required.
  * Update d/copyright years.
  * Fix FTBFS after successful build" by storing the locale directory before
    build and restoring it on clean. (Closes: #1044151)

 -- Tobias Frost <tobi@debian.org>  Mon, 15 Apr 2024 20:01:36 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Tobias Frost <tobi@debian.org>
 Build-Depends: debhelper-compat (= 13), gettext, libglib2.0-bin, zip, intltool
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://gitlab.gnome.org/tuxor1337/hidetopbar
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/gnome-shell-extension-autohidetopbar
@@ -11,7 +11,7 @@
 
 Package: gnome-shell-extension-autohidetopbar
 Architecture: all
-Depends: gnome-shell (>= 3.32), gnome-shell (<< 45~), ${misc:Depends}
+Depends: gnome-shell (>= 45), gnome-shell (<< 48~), ${misc:Depends}
 Recommends: gnome-shell-extension-prefs
 Description: GNOME shell automatic topbar hider
  This gnome-shell extension automatically hides the topbar, except in overview.

## gnome-shell-extension-autohidetopbar 120

=== debian/changelog ===
gnome-shell-extension-autohidetopbar (1:120-1) unstable; urgency=medium

  * New upstream release. 
  * Drop patch for GNOME Shell 48, applied upstream. 

 -- Tobias Frost <tobi@debian.org>  Sun, 30 Mar 2025 09:50:21 +0200

gnome-shell-extension-autohidetopbar (1:118-2) unstable; urgency=medium

  * Declare compatibility with GNOME Shell 48. (Closes: #1096039)

 -- Tobias Frost <tobi@debian.org>  Tue, 25 Feb 2025 22:28:34 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 Package: gnome-shell-extension-autohidetopbar
 Architecture: all
-Depends: gnome-shell (>= 45), gnome-shell (<< 48~), ${misc:Depends}
+Depends: gnome-shell (>= 45), gnome-shell (<< 49~), ${misc:Depends}
 Recommends: gnome-shell-extension-prefs
 Description: GNOME shell automatic topbar hider
  This gnome-shell extension automatically hides the topbar, except in overview.

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,12 @@
 
 %:
 	dh $@
+
+# move aside .po and .pot files (see bug#1044151)
+execute_after_dh_auto_clean:
+	[ ! -d locale.save ] || (rm -r locale && mv --force locale.save/ locale)
+execute_before_dh_auto_configure:
+	cp -ar locale/ locale.save
 
 override_dh_install:
 	# Installing translations

## gnome-shell-extension-autohidetopbar 123

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 SHELL := /bin/bash
 
 JS_FILES = $(shell echo {extension,convenience,intellihide,panelVisibilityManager,prefs,desktopIconsIntegration}.js)
-UI_FILES = $(shell echo {Settings-40,Settings}.ui)
+UI_FILES = $(shell echo Settings.ui)
 
 LOCALES_PO = $(wildcard locale/*/*/*.po)
 LOCALES_MO = $(patsubst %.po,%.mo,$(LOCALES_PO))
@@ -14,7 +14,7 @@
 	glib-compile-schemas --strict ./schemas/
 
 hidetopbar.zip: schemas/gschemas.compiled $(LOCALES_MO)
-	zip hidetopbar.zip -r COPYING.txt $(JS_FILES) metadata.json $(LOCALES_MO) schemas Settings.ui Settings-40.ui
+	zip hidetopbar.zip -r COPYING.txt $(JS_FILES) metadata.json $(LOCALES_MO) schemas Settings.ui
 
 clean:
 	rm -rf hidetopbar.zip schemas/gschemas.compiled ${LOCALES_MO}

=== debian/changelog ===
gnome-shell-extension-autohidetopbar (1:123-1) unstable; urgency=medium

  * New upstream release.
    - This verision supports GNOME Shell 49. (Closes: #1115507)
  * Automatically update supported GNOME Shell versions by parsing
    metadata.json. Thanks to Jeremey for providing the patch. 
  * Bump SV from 4.7.0 to 4.7.2 - no changes required.

 -- Tobias Frost <tobi@debian.org>  Sun, 12 Oct 2025 17:17:58 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnome
 Priority: optional
 Maintainer: Tobias Frost <tobi@debian.org>
-Build-Depends: debhelper-compat (= 13), gettext, libglib2.0-bin, zip, intltool
-Standards-Version: 4.7.0
+Build-Depends: debhelper-compat (= 13), gettext, libglib2.0-bin, zip, intltool, python3
+Standards-Version: 4.7.2
 Homepage: https://gitlab.gnome.org/tuxor1337/hidetopbar
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/gnome-shell-extension-autohidetopbar
@@ -11,7 +11,7 @@
 
 Package: gnome-shell-extension-autohidetopbar
 Architecture: all
-Depends: gnome-shell (>= 45), gnome-shell (<< 49~), ${misc:Depends}
+Depends: gnome-shell (>= ${gnome:MinimumVersion}~), gnome-shell (<< ${gnome:MaximumVersion}~), ${misc:Depends}
 Recommends: gnome-shell-extension-prefs
 Description: GNOME shell automatic topbar hider
  This gnome-shell extension automatically hides the topbar, except in overview.

=== debian/rules ===
--- 
+++ 
@@ -24,3 +24,8 @@
 
 override_dh_installdocs:
 	dh_installdocs -X README.md
+
+override_dh_gencontrol:
+	dh_gencontrol -- \
+		-Vgnome:MinimumVersion=$(shell python3 -c "import json; print(min(int(x) for x in json.load(open('metadata.json', 'rt'))['shell-version']))") \
+		-Vgnome:MaximumVersion=$(shell python3 -c "import json; print(1+max(int(x) for x in json.load(open('metadata.json', 'rt'))['shell-version']))")

=== debian/watch ===
version=4
opts="searchmode=plain" \
 https://gitlab.gnome.org/tuxor1337/hidetopbar/tags?sort=updated_desc -/archive/extensions.gnome.org-\d[\d.]+/hidetopbar-extensions.gnome.org-@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

## gnome-shell-extension-autohidetopbar 20140113

=== debian/control ===
Source: gnome-shell-extension-autohidetopbar
Section: gnome
Priority: optional
Maintainer: Tobias Frost <tobi@coldtobi.de>
Build-Depends: debhelper (>= 9),
	gettext,
	libglib2.0-bin
Standards-Version: 3.9.5
Homepage: https://github.com/mlutfy/hidetopbar
VCS-Browser: https://gitorious.org/gnome-shell-extension-autohidetopbar-debian/gnome-shell-extension-autohidetopbar-debian
VCS-Git: git://gitorious.org/gnome-shell-extension-autohidetopbar-debian/gnome-shell-extension-autohidetopbar-debian.git

Package: gnome-shell-extension-autohidetopbar
Architecture: all
Depends: gnome-shell (>= 3.8), ${misc:Depends}
Recommends: gnome-tweak-tool
Description: gnome shell automatic topbar hider
 This gnome-shell extension automatically hides the topbar, except in overview.
 There is also an option to show the topbar when the mouse pointer approaches
 the edge of the screen.
 .
 Please note that you have to manually enable the extension, for example using
 gnome-tweak-tool.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_clean:
	rm -rf schemas
	rm -f locale/*/*/*.mo
	dh_clean

override_dh_auto_build:
	mkdir schemas
	glib-compile-schemas --strict --targetdir=./schemas/ .
	for po in locale/*/*/*.po; do \
		msgfmt -cv -o $${po%.po}.mo $$po; \
        done
	dh_auto_build

override_dh_install:
	# Installing translations
	for mo in $$(cd locale; ls */*/*.mo); do \
        	lang=$$(dirname $$mo); \
		mkdir -p debian/gnome-shell-extension-autohidetopbar/usr/share/locale/$$lang; \
		cp locale/$$mo debian/gnome-shell-extension-autohidetopbar/usr/share/locale/$$lang/; \
	done
	dh_install

# For get-orig-source
PKD   = $(abspath $(dir $(MAKEFILE_LIST)))
PKG   = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
UVER  = $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{^Version:\s+(?:\d+:)?(\d.*)(?:\-\d+.*)};')
DTYPE = 
VER  ?= $(subst $(DTYPE),,$(UVER))

## from: https://wiki.debian.org/onlyjob/get-orig-source
.PHONY: get-orig-source
get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz 
	#$(info I: $(PKG)_$(VER)$(DTYPE))
	@


UURL = git://github.com/mlutfy/hidetopbar.git
UDATE = $(shell date --rfc-3339=seconds --date='TZ="UTC" \
	$(shell echo $(VER) | perl -ne 'print "$$1-$$2-$$3" if m/\+(?:git|svn|hg)(\d{4})(\d{2})(\d{2})/')')

$(PKG)_$(VER)$(DTYPE).orig.tar.xz: 
	#$(info I: UDATE=$(UDATE))
	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
	@echo "# Downloading..."
	git clone $(UURL) $(PKG)-$(VER) \
	|| $(RM) -r $(PKG)-$(VER)
	cd $(PKG)-$(VER) \
	&& git checkout v$(VER) || git checkout $$(git log -n1 --format=%h --before="$(UDATE)") \
	&& ( echo "# Generating ChangeLog..." \
	&& git log --pretty="format:%ad  %aN  <%aE>%n%n%x09* %s%n" --date=short > ChangeLog \
	&& touch -d "$$(git log -1 --format='%ci')" ChangeLog) \
	&& echo "# Setting times..." \
	&& for F in $$(git ls-tree -r --name-only HEAD); do touch --no-dereference -d "$$(git log -1 --format="%ai" -- $$F)" "$$F"; done \
	&& echo "# Cleaning-up..." \
	&& $(RM) -r -v \
		notneededdir/unwantedfile1 \
		notneededdir/unwantedfiles.* \
	&& $(RM) -r .git .git*
	@echo "# Packing..."
	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
	| XZ_OPT="-6v" tar -caf "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
	&& $(RM) -r "$(PKG)-$(VER)"

## gnome-shell-extension-autohidetopbar 20140802

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: gnome-shell-extension-autohidetopbar
 Section: gnome
 Priority: optional
-Maintainer: Tobias Frost <tobi@coldtobi.de>
+Maintainer: Tobias Frost <tobi@debian.org>
 Build-Depends: debhelper (>= 9),
-	gettext,
-	libglib2.0-bin
+ gettext,
+ libglib2.0-bin
 Standards-Version: 3.9.5
 Homepage: https://github.com/mlutfy/hidetopbar
 VCS-Browser: https://gitorious.org/gnome-shell-extension-autohidetopbar-debian/gnome-shell-extension-autohidetopbar-debian
@@ -12,7 +12,7 @@
 
 Package: gnome-shell-extension-autohidetopbar
 Architecture: all
-Depends: gnome-shell (>= 3.8), ${misc:Depends}
+Depends: gnome-shell (>= 3.8), gnome-shell ( < 3.13), ${misc:Depends}
 Recommends: gnome-tweak-tool
 Description: gnome shell automatic topbar hider
  This gnome-shell extension automatically hides the topbar, except in overview.
@@ -21,4 +21,3 @@
  .
  Please note that you have to manually enable the extension, for example using
  gnome-tweak-tool.
-

## gnome-shell-extension-autohidetopbar 20141025

=== debian/control ===
Source: gnome-shell-extension-autohidetopbar
Section: gnome
Priority: optional
Maintainer: Tobias Frost <tobi@debian.org>
Build-Depends: debhelper (>= 9), gettext, libglib2.0-bin
Standards-Version: 3.9.6
Homepage: https://github.com/mlutfy/hidetopbar
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/gnome-shell-extension-autohidetopbar.git
Vcs-Git: git://anonscm.debian.org/collab-maint/gnome-shell-extension-autohidetopbar.git

Package: gnome-shell-extension-autohidetopbar
Architecture: all
Depends: gnome-shell ( < 3.15), gnome-shell (>= 3.8), ${misc:Depends}
Recommends: gnome-tweak-tool
Description: GNOME shell automatic topbar hider
 This gnome-shell extension automatically hides the topbar, except in overview.
 There is also an option to show the topbar when the mouse pointer approaches
 the edge of the screen.
 .
 Please note that you have to manually enable the extension, for example using
 gnome-tweak-tool.

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # -*- makefile -*-
 
 # Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
+# export DH_VERBOSE=1
 
 %:
 	dh $@
@@ -29,25 +29,28 @@
 	done
 	dh_install
 
+override_dh_installdocs:
+	dh_installdocs -X README.md
+
 # For get-orig-source
 PKD   = $(abspath $(dir $(MAKEFILE_LIST)))
 PKG   = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
 UVER  = $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{^Version:\s+(?:\d+:)?(\d.*)(?:\-\d+.*)};')
-DTYPE = 
+DTYPE =
 VER  ?= $(subst $(DTYPE),,$(UVER))
 
 ## from: https://wiki.debian.org/onlyjob/get-orig-source
 .PHONY: get-orig-source
-get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz 
+get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz
 	#$(info I: $(PKG)_$(VER)$(DTYPE))
 	@
 
 
 UURL = git://github.com/mlutfy/hidetopbar.git
-UDATE = $(shell date --rfc-3339=seconds --date='TZ="UTC" \
-	$(shell echo $(VER) | perl -ne 'print "$$1-$$2-$$3" if m/\+(?:git|svn|hg)(\d{4})(\d{2})(\d{2})/')')
+DATEVER = $(shell echo $(VER) | perl -ne '$$_=~s/([0-9]{4})([0-9]{2})([0-9]{2})/$$1-$$2-$$3/g; print "$$_"')
+UDATE = $(shell date --rfc-3339=seconds --date="$(DATEVER)")
 
-$(PKG)_$(VER)$(DTYPE).orig.tar.xz: 
+$(PKG)_$(VER)$(DTYPE).orig.tar.xz:
 	#$(info I: UDATE=$(UDATE))
 	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
 	@echo "# Downloading..."

## gnome-shell-extension-autohidetopbar 20150613

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Tobias Frost <tobi@debian.org>
-Build-Depends: debhelper (>= 9), gettext, libglib2.0-bin
+Build-Depends: debhelper (>= 9), gettext, libglib2.0-bin, zip
 Standards-Version: 3.9.6
 Homepage: https://github.com/mlutfy/hidetopbar
 Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/gnome-shell-extension-autohidetopbar.git
@@ -10,7 +10,7 @@
 
 Package: gnome-shell-extension-autohidetopbar
 Architecture: all
-Depends: gnome-shell ( < 3.15), gnome-shell (>= 3.8), ${misc:Depends}
+Depends: gnome-shell ( << 3.17), gnome-shell (>= 3.8), ${misc:Depends}
 Recommends: gnome-tweak-tool
 Description: GNOME shell automatic topbar hider
  This gnome-shell extension automatically hides the topbar, except in overview.

## gnome-shell-extension-autohidetopbar 20151103

=== Makefile ===

JS_FILES = {extension,convenience,intellihide,topPanel,prefs}.js

.PHONY: clean all

all: hidetopbar.zip

schemas:
	mkdir ./schemas/
	glib-compile-schemas --strict --targetdir=./schemas/ .

hidetopbar.zip: schemas
	zip hidetopbar.zip -r $(JS_FILES) metadata.json locale/*/*/*.mo schemas

clean:
	rm -rf hidetopbar.zip schemas

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: gnome-shell-extension-autohidetopbar
 Architecture: all
-Depends: gnome-shell ( << 3.17), gnome-shell (>= 3.8), ${misc:Depends}
+Depends: gnome-shell ( << 3.19), gnome-shell (>= 3.8), ${misc:Depends}
 Recommends: gnome-tweak-tool
 Description: GNOME shell automatic topbar hider
  This gnome-shell extension automatically hides the topbar, except in overview.

=== debian/rules ===
--- 
+++ 
@@ -8,13 +8,10 @@
 	dh $@
 
 override_dh_clean:
-	rm -rf schemas
 	rm -f locale/*/*/*.mo
 	dh_clean
 
 override_dh_auto_build:
-	mkdir schemas
-	glib-compile-schemas --strict --targetdir=./schemas/ .
 	for po in locale/*/*/*.po; do \
 		msgfmt -cv -o $${po%.po}.mo $$po; \
         done

## gnome-shell-extension-autohidetopbar 20160413

=== debian/control ===
Source: gnome-shell-extension-autohidetopbar
Section: gnome
Priority: optional
Maintainer: Tobias Frost <tobi@debian.org>
Build-Depends: debhelper (>= 9), gettext, libglib2.0-bin, zip
Standards-Version: 3.9.8
Homepage: https://github.com/mlutfy/hidetopbar
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gnome-shell-extension-autohidetopbar.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/gnome-shell-extension-autohidetopbar.git

Package: gnome-shell-extension-autohidetopbar
Architecture: all
Depends: gnome-shell ( << 3.21), gnome-shell (>= 3.8), ${misc:Depends}
Recommends: gnome-tweak-tool
Description: GNOME shell automatic topbar hider
 This gnome-shell extension automatically hides the topbar, except in overview.
 There is also an option to show the topbar when the mouse pointer approaches
 the edge of the screen.
 .
 Please note that you have to manually enable the extension, for example using
 gnome-tweak-tool.

## gnome-shell-extension-autohidetopbar 20160828

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: gnome-shell-extension-autohidetopbar
 Architecture: all
-Depends: gnome-shell ( << 3.21), gnome-shell (>= 3.8), ${misc:Depends}
+Depends: gnome-shell ( << 3.23), gnome-shell (>= 3.16), ${misc:Depends}
 Recommends: gnome-tweak-tool
 Description: GNOME shell automatic topbar hider
  This gnome-shell extension automatically hides the topbar, except in overview.

## gnome-shell-extension-autohidetopbar 20161203

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 
-JS_FILES = {extension,convenience,intellihide,topPanel,prefs}.js
+JS_FILES = {extension,convenience,intellihide,panelVisibilityManager,prefs}.js
 
 .PHONY: clean all

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Tobias Frost <tobi@debian.org>
-Build-Depends: debhelper (>= 9), gettext, libglib2.0-bin, zip
+Build-Depends: debhelper (>= 10), gettext, libglib2.0-bin, zip
 Standards-Version: 3.9.8
 Homepage: https://github.com/mlutfy/hidetopbar
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gnome-shell-extension-autohidetopbar.git
@@ -10,7 +10,7 @@
 
 Package: gnome-shell-extension-autohidetopbar
 Architecture: all
-Depends: gnome-shell ( << 3.23), gnome-shell (>= 3.16), ${misc:Depends}
+Depends: gnome-shell (>= 3.18), ${misc:Depends}
 Recommends: gnome-tweak-tool
 Description: GNOME shell automatic topbar hider
  This gnome-shell extension automatically hides the topbar, except in overview.

=== debian/rules ===
--- 
+++ 
@@ -6,10 +6,6 @@
 
 %:
 	dh $@
-
-override_dh_clean:
-	rm -f locale/*/*/*.mo
-	dh_clean
 
 override_dh_auto_build:
 	for po in locale/*/*/*.po; do \

## gnome-shell-extension-autohidetopbar 20170507

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Tobias Frost <tobi@debian.org>
 Build-Depends: debhelper (>= 10), gettext, libglib2.0-bin, zip
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://github.com/mlutfy/hidetopbar
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gnome-shell-extension-autohidetopbar.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/gnome-shell-extension-autohidetopbar.git

## gnome-shell-extension-autohidetopbar 20170728

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Tobias Frost <tobi@debian.org>
 Build-Depends: debhelper (>= 10), gettext, libglib2.0-bin, zip
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Homepage: https://github.com/mlutfy/hidetopbar
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gnome-shell-extension-autohidetopbar.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/gnome-shell-extension-autohidetopbar.git

## gnome-shell-extension-autohidetopbar 20171126

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,4 @@
+SHELL := /bin/bash
 
 JS_FILES = {extension,convenience,intellihide,panelVisibilityManager,prefs}.js

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: gnome
 Priority: optional
 Maintainer: Tobias Frost <tobi@debian.org>
-Build-Depends: debhelper (>= 10), gettext, libglib2.0-bin, zip
-Standards-Version: 4.1.1
+Build-Depends: debhelper (>= 11), gettext, libglib2.0-bin, zip
+Standards-Version: 4.1.4
 Homepage: https://github.com/mlutfy/hidetopbar
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gnome-shell-extension-autohidetopbar.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/gnome-shell-extension-autohidetopbar.git
+Vcs-Browser: https://salsa.debian.org/debian/gnome-shell-extension-autohidetopbar
+Vcs-Git: https://salsa.debian.org/debian/gnome-shell-extension-autohidetopbar.git
 
 Package: gnome-shell-extension-autohidetopbar
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	for po in locale/*/*/*.po; do \
		msgfmt -cv -o $${po%.po}.mo $$po; \
        done
	dh_auto_build

override_dh_install:
	# Installing translations
	for mo in $$(cd locale; ls */*/*.mo); do \
        	lang=$$(dirname $$mo); \
		mkdir -p debian/gnome-shell-extension-autohidetopbar/usr/share/locale/$$lang; \
		cp locale/$$mo debian/gnome-shell-extension-autohidetopbar/usr/share/locale/$$lang/; \
	done
	dh_install

override_dh_installdocs:
	dh_installdocs -X README.md

## gnome-shell-extension-autohidetopbar 20180511

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Tobias Frost <tobi@debian.org>
 Build-Depends: debhelper (>= 11), gettext, libglib2.0-bin, zip
-Standards-Version: 4.1.4
+Standards-Version: 4.2.0
 Homepage: https://github.com/mlutfy/hidetopbar
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/gnome-shell-extension-autohidetopbar
 Vcs-Git: https://salsa.debian.org/debian/gnome-shell-extension-autohidetopbar.git

## gnome-shell-extension-autohidetopbar 20180908

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Tobias Frost <tobi@debian.org>
 Build-Depends: debhelper (>= 11), gettext, libglib2.0-bin, zip
-Standards-Version: 4.2.0
+Standards-Version: 4.3.0
 Homepage: https://github.com/mlutfy/hidetopbar
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/gnome-shell-extension-autohidetopbar
@@ -12,7 +12,7 @@
 Package: gnome-shell-extension-autohidetopbar
 Architecture: all
 Depends: gnome-shell (>= 3.18), ${misc:Depends}
-Recommends: gnome-tweak-tool
+Recommends: gnome-tweaks
 Description: GNOME shell automatic topbar hider
  This gnome-shell extension automatically hides the topbar, except in overview.
  There is also an option to show the topbar when the mouse pointer approaches

## gnome-shell-extension-autohidetopbar 20190913

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnome
 Priority: optional
 Maintainer: Tobias Frost <tobi@debian.org>
-Build-Depends: debhelper (>= 11), gettext, libglib2.0-bin, zip
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 12), gettext, libglib2.0-bin, zip
+Standards-Version: 4.4.1
 Homepage: https://github.com/mlutfy/hidetopbar
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/gnome-shell-extension-autohidetopbar

## gnome-shell-extension-autohidetopbar 20200322

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Tobias Frost <tobi@debian.org>
 Build-Depends: debhelper-compat (= 12), gettext, libglib2.0-bin, zip
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/mlutfy/hidetopbar
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/gnome-shell-extension-autohidetopbar

=== debian/rules ===


=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=%cd" \
https://github.com/mlutfy/hidetopbar \
HEAD debian uupdate

## gnome-shell-extension-autohidetopbar 20200518

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Tobias Frost <tobi@debian.org>
-Build-Depends: debhelper-compat (= 12), gettext, libglib2.0-bin, zip
+Build-Depends: debhelper-compat (= 13), gettext, libglib2.0-bin, zip
 Standards-Version: 4.5.0
 Homepage: https://github.com/mlutfy/hidetopbar
 Rules-Requires-Root: no

## gnome-shell-extension-autohidetopbar 20200627

=== Makefile ===
SHELL := /bin/bash

JS_FILES = {extension,convenience,intellihide,panelVisibilityManager,prefs}.js

.PHONY: clean all

all: hidetopbar.zip

schemas/gschemas.compiled:
	glib-compile-schemas --strict ./schemas/

hidetopbar.zip: schemas/gschemas.compiled
	zip hidetopbar.zip -r $(JS_FILES) metadata.json locale/*/*/*.mo schemas

clean:
	rm -rf hidetopbar.zip schemas/gschemas.compiled

## gnome-shell-extension-autohidetopbar 20200628

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	glib-compile-schemas --strict ./schemas/
 
 hidetopbar.zip: schemas/gschemas.compiled
-	zip hidetopbar.zip -r $(JS_FILES) metadata.json locale/*/*/*.mo schemas
+	zip hidetopbar.zip -r COPYING.txt $(JS_FILES) metadata.json locale/*/*/*.mo schemas
 
 clean:
 	rm -rf hidetopbar.zip schemas/gschemas.compiled

## gnome-shell-extension-autohidetopbar 20201005

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 Package: gnome-shell-extension-autohidetopbar
 Architecture: all
-Depends: gnome-shell (>= 3.18), ${misc:Depends}
+Depends: gnome-shell (>= 3.32), ${misc:Depends}
 Recommends: gnome-tweaks
 Description: GNOME shell automatic topbar hider
  This gnome-shell extension automatically hides the topbar, except in overview.

## gnome-shell-extension-autohidetopbar 20210104

=== Makefile ===
SHELL := /bin/bash

JS_FILES = $(shell echo {extension,convenience,intellihide,panelVisibilityManager,prefs}.js)

LOCALES_PO = $(wildcard locale/*/*/*.po)
LOCALES_MO = $(patsubst %.po,%.mo,$(LOCALES_PO))

.PHONY: distclean clean all

all: hidetopbar.zip

schemas/gschemas.compiled:
	glib-compile-schemas --strict ./schemas/

hidetopbar.zip: schemas/gschemas.compiled $(LOCALES_MO)
	zip hidetopbar.zip -r COPYING.txt $(JS_FILES) metadata.json $(LOCALES_MO) schemas

clean:
	rm -rf hidetopbar.zip schemas/gschemas.compiled ${LOCALES_MO}

distclean: clean
	rm -rf locale/hidetopbar.pot-stamp

%.mo: %.po locale/hidetopbar.pot locale/hidetopbar.pot-stamp
	msgfmt -c -o $@ $<

locale/hidetopbar.pot locale/hidetopbar.pot-stamp : $(JS_FILES)
	xgettext --output=./locale/hidetopbar.pot --language=JavaScript $^
	touch locale/hidetopbar.pot-stamp

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Tobias Frost <tobi@debian.org>
 Build-Depends: debhelper-compat (= 13), gettext, libglib2.0-bin, zip
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/mlutfy/hidetopbar
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/gnome-shell-extension-autohidetopbar

=== debian/rules ===
--- 
+++ 
@@ -8,15 +8,14 @@
 	dh $@
 
 override_dh_auto_build:
-	for po in locale/*/*/*.po; do \
-		msgfmt -cv -o $${po%.po}.mo $$po; \
-        done
+	mv locale/hidetopbar.pot debian/hidetopbar.pot-backup
 	dh_auto_build
+	mv debian/hidetopbar.pot-backup locale/hidetopbar.pot
 
 override_dh_install:
 	# Installing translations
 	for mo in $$(cd locale; ls */*/*.mo); do \
-        	lang=$$(dirname $$mo); \
+		lang=$$(dirname $$mo); \
 		mkdir -p debian/gnome-shell-extension-autohidetopbar/usr/share/locale/$$lang; \
 		cp locale/$$mo debian/gnome-shell-extension-autohidetopbar/usr/share/locale/$$lang/; \
 	done

## gnome-shell-extension-autohidetopbar 20210525

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	glib-compile-schemas --strict ./schemas/
 
 hidetopbar.zip: schemas/gschemas.compiled $(LOCALES_MO)
-	zip hidetopbar.zip -r COPYING.txt $(JS_FILES) metadata.json $(LOCALES_MO) schemas
+	zip hidetopbar.zip -r COPYING.txt $(JS_FILES) metadata.json $(LOCALES_MO) schemas Settings.ui Settings-40.ui
 
 clean:
 	rm -rf hidetopbar.zip schemas/gschemas.compiled ${LOCALES_MO}
@@ -24,6 +24,10 @@
 %.mo: %.po locale/hidetopbar.pot locale/hidetopbar.pot-stamp
 	msgfmt -c -o $@ $<
 
-locale/hidetopbar.pot locale/hidetopbar.pot-stamp : $(JS_FILES)
-	xgettext --output=./locale/hidetopbar.pot --language=JavaScript $^
+locale/hidetopbar.pot locale/hidetopbar.pot-stamp : $(JS_FILES) Settings.ui
+	xgettext --output=./locale/hidetopbar.pot --language=JavaScript $(JS_FILES)
+	intltool-extract --type=gettext/glade Settings.ui
+	xgettext -k --keyword=_ --keyword=N_ --join-existing \
+	         -o ./locale/hidetopbar.pot Settings.ui.h
+	rm Settings.ui.h
 	touch locale/hidetopbar.pot-stamp

=== debian/control ===
Source: gnome-shell-extension-autohidetopbar
Section: gnome
Priority: optional
Maintainer: Tobias Frost <tobi@debian.org>
Build-Depends: debhelper-compat (= 13), gettext, libglib2.0-bin, zip, intltool
Standards-Version: 4.6.0
Homepage: https://github.com/mlutfy/hidetopbar
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/gnome-shell-extension-autohidetopbar
Vcs-Git: https://salsa.debian.org/debian/gnome-shell-extension-autohidetopbar.git

Package: gnome-shell-extension-autohidetopbar
Architecture: all
Depends: gnome-shell (>= 3.32), ${misc:Depends}
Recommends: gnome-shell-extension-prefs
Description: GNOME shell automatic topbar hider
 This gnome-shell extension automatically hides the topbar, except in overview.
 There is also an option to show the topbar when the mouse pointer approaches
 the edge of the screen.
 .
 Please note that you have to manually enable the extension, for example using
 gnome-extensions-app, which is part of the gnome-shell-extension-prefs package.

## gnome-shell-extension-autohidetopbar 20211001

=== Makefile ===
SHELL := /bin/bash

JS_FILES = $(shell echo {extension,convenience,intellihide,panelVisibilityManager,prefs}.js)
UI_FILES = $(shell echo {Settings-40,Settings}.ui)

LOCALES_PO = $(wildcard locale/*/*/*.po)
LOCALES_MO = $(patsubst %.po,%.mo,$(LOCALES_PO))

.PHONY: distclean clean all all-po

all: hidetopbar.zip

schemas/gschemas.compiled:
	glib-compile-schemas --strict ./schemas/

hidetopbar.zip: schemas/gschemas.compiled $(LOCALES_MO)
	zip hidetopbar.zip -r COPYING.txt $(JS_FILES) metadata.json $(LOCALES_MO) schemas Settings.ui Settings-40.ui

clean:
	rm -rf hidetopbar.zip schemas/gschemas.compiled ${LOCALES_MO}

distclean: clean
	rm -rf locale/hidetopbar.pot-stamp

%.mo: %.po locale/hidetopbar.pot locale/hidetopbar.pot-stamp
	msgfmt -c -o $@ $<

%.po: locale/hidetopbar.pot locale/hidetopbar.pot-stamp
	@echo "Updating $@"
	@msgmerge --previous --update $@ $<

all-po: $(LOCALES_PO)

locale/hidetopbar.pot locale/hidetopbar.pot-stamp : $(UI_FILES)
	xgettext --copyright-holder="Thomas Vogt" \
			 --package-name="Hide Top Bar" \
			 --output=locale/hidetopbar.pot \
			 $(JS_FILES) $(UI_FILES)
	sed -i '1s/.*/# <LANGUAGE> translation for the Hide Top Bar extension./' locale/hidetopbar.pot
	sed -i "2s/.*/# Copyright (C) $$(date +%Y) Thomas Vogt/" locale/hidetopbar.pot
	sed -i '17s/CHARSET/UTF-8/' locale/hidetopbar.pot
	touch locale/hidetopbar.pot-stamp

## gnome-shell-extension-autohidetopbar 20211109

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 Package: gnome-shell-extension-autohidetopbar
 Architecture: all
-Depends: gnome-shell (>= 3.32), ${misc:Depends}
+Depends: gnome-shell (>= 3.32), gnome-shell (<< 42~), ${misc:Depends}
 Recommends: gnome-shell-extension-prefs
 Description: GNOME shell automatic topbar hider
  This gnome-shell extension automatically hides the topbar, except in overview.
